# frozen_string_literal: true

describe Locked::Commands::Verify do
  let(:context) { { test: { test1: '1' } } }

  describe '.build' do
    subject { Locked::Commands::Verify.new(context).build('deny_verification', token: 'f68c5f338f2ba6b14e17') }

    it '期待したpathが返ること' do
      expect(subject.path).to eq 'deny_verification'
    end

    it '期待したbodyが返ること' do
      expect(subject.data).to include token: 'f68c5f338f2ba6b14e17'
    end

    it '期待したhttpメソッドが返ること' do
      expect(subject.method).to eq :post
    end
  end
end
